.trigoda_gmb_stars {
	position: relative;
	text-align: center;
	display: grid;
	background-color: rgba(255, 255, 255, 0.8);
	border-radius: 12px;
	padding: 4px;
	max-width: 320px;
	margin: 0 auto;
	border: 1px solid var(--gray-medium);
}
.trigoda_gmb_stars_bg {
	width: 250px;
	height: 50px;
	overflow: hidden;
	margin: 0px auto;
	position: relative;
	background-color: #9b928e;
	-webkit-mask:  url(../images/star-off.svg);
    mask: url(../images/star-off.svg);
    order: 1;
}
.trigoda_gmb_stars_front {
	background-color: #fbbc04;
	height: 100%;
	-webkit-mask:  url(../images/star-on.svg);
    mask: url(../images/star-on.svg);
}
.trigoda_gmb_stars_text {
	margin: 4px 0px 0px 0px;
	font-size: 0.85em;
    order: 2;
}
.trigoda_gmb_stars_button {
	margin: 4px 0px 0px 0px;
	font-size: 0.85em;
    order: 3;
}
.trigoda_gmb_stars_button a {
	text-decoration: none;
	color: #000;
	display: inline-block;
	padding: 6px 24px;
	border: 1px solid #000;
	border-radius: 3px;
	background-color: var(--gray-light);
	transition: background-color 0.3s ease-out;
}
.trigoda_gmb_stars_button a:hover,
.trigoda_gmb_stars_button a:focus {
	color: #000 !important;
	background-color: var(--gray-medium);
}
.trigoda_gmb_stars_front[date-voteaverage="5"] {
	width: 250px;
}
.trigoda_gmb_stars_front[date-voteaverage^="4"] {
	width: 200px;
}
.trigoda_gmb_stars_front[date-voteaverage^="4.1"] {
	width: 205px;
}
.trigoda_gmb_stars_front[date-voteaverage^="4.2"] {
	width: 210px;
}
.trigoda_gmb_stars_front[date-voteaverage^="4.3"] {
	width: 215px;
}
.trigoda_gmb_stars_front[date-voteaverage^="4.4"] {
	width: 220px;
}
.trigoda_gmb_stars_front[date-voteaverage^="4.5"] {
	width: 225px;
}
.trigoda_gmb_stars_front[date-voteaverage^="4.6"] {
	width: 230px;
}
.trigoda_gmb_stars_front[date-voteaverage^="4.7"] {
	width: 235px;
}
.trigoda_gmb_stars_front[date-voteaverage^="4.8"] {
	width: 240px;
}
.trigoda_gmb_stars_front[date-voteaverage^="4.9"] {
	width: 245px;
}
.trigoda_gmb_stars_front[date-voteaverage^="3"] {
	width: 150px;
}
.trigoda_gmb_stars_front[date-voteaverage^="3.1"] {
	width: 155px;
}
.trigoda_gmb_stars_front[date-voteaverage^="3.2"] {
	width: 160px;
}
.trigoda_gmb_stars_front[date-voteaverage^="3.3"] {
	width: 165px;
}
.trigoda_gmb_stars_front[date-voteaverage^="3.4"] {
	width: 170px;
}
.trigoda_gmb_stars_front[date-voteaverage^="3.5"] {
	width: 175px;
}
.trigoda_gmb_stars_front[date-voteaverage^="3.6"] {
	width: 180px;
}
.trigoda_gmb_stars_front[date-voteaverage^="3.7"] {
	width: 185px;
}
.trigoda_gmb_stars_front[date-voteaverage^="3.8"] {
	width: 190px;
}
.trigoda_gmb_stars_front[date-voteaverage^="3.9"] {
	width: 195px;
}
.trigoda_gmb_stars_front[date-voteaverage^="2"] {
	width: 100px;
}
.trigoda_gmb_stars_front[date-voteaverage^="2.1"] {
	width: 105px;
}
.trigoda_gmb_stars_front[date-voteaverage^="2.2"] {
	width: 110px;
}
.trigoda_gmb_stars_front[date-voteaverage^="2.3"] {
	width: 115px;
}
.trigoda_gmb_stars_front[date-voteaverage^="2.4"] {
	width: 120px;
}
.trigoda_gmb_stars_front[date-voteaverage^="2.5"] {
	width: 125px;
}
.trigoda_gmb_stars_front[date-voteaverage^="2.6"] {
	width: 130px;
}
.trigoda_gmb_stars_front[date-voteaverage^="2.7"] {
	width: 135px;
}
.trigoda_gmb_stars_front[date-voteaverage^="2.8"] {
	width: 140px;
}
.trigoda_gmb_stars_front[date-voteaverage^="2.9"] {
	width: 145px;
}
.trigoda_gmb_stars_front[date-voteaverage^="1"] {
	width: 50px;
}
.trigoda_gmb_stars_front[date-voteaverage^="1.1"] {
	width: 55px;
}
.trigoda_gmb_stars_front[date-voteaverage^="1.2"] {
	width: 60px;
}
.trigoda_gmb_stars_front[date-voteaverage^="1.3"] {
	width: 65px;
}
.trigoda_gmb_stars_front[date-voteaverage^="1.4"] {
	width: 70px;
}
.trigoda_gmb_stars_front[date-voteaverage^="1.5"] {
	width: 75px;
}
.trigoda_gmb_stars_front[date-voteaverage^="1.6"] {
	width: 80px;
}
.trigoda_gmb_stars_front[date-voteaverage^="1.7"] {
	width: 85px;
}
.trigoda_gmb_stars_front[date-voteaverage^="1.8"] {
	width: 90px;
}
.trigoda_gmb_stars_front[date-voteaverage^="1.9"] {
	width: 95px;
}
.trigoda_gmb_stars_front[date-voteaverage^="0"] {
	width: 0px;
}
.trigoda_gmb_stars_front[date-voteaverage^="0.1"] {
	width: 5px;
}
.trigoda_gmb_stars_front[date-voteaverage^="0.2"] {
	width: 10px;
}
.trigoda_gmb_stars_front[date-voteaverage^="0.3"] {
	width: 15px;
}
.trigoda_gmb_stars_front[date-voteaverage^="0.4"] {
	width: 20px;
}
.trigoda_gmb_stars_front[date-voteaverage^="0.5"] {
	width: 25px;
}
.trigoda_gmb_stars_front[date-voteaverage^="0.6"] {
	width: 30px;
}
.trigoda_gmb_stars_front[date-voteaverage^="0.7"] {
	width: 35px;
}
.trigoda_gmb_stars_front[date-voteaverage^="0.8"] {
	width: 40px;
}
.trigoda_gmb_stars_front[date-voteaverage^="0.9"] {
	width: 45px;
}